--- old/usr/src/README.license-files	2012-07-19 00:32:18.427674190 +0200
+++ new/usr/src/README.license-files	2012-07-19 00:32:18.112760826 +0200
@@ -41,7 +41,7 @@
       you'll put one in each source directory (i.e. one per library,
       or one per command, or one per kernel module.)
 
-      EXAMPLE: usr/src/uts/common/io/pcan/THIRDPARTYLICENSE
+      EXAMPLE: usr/src/uts/common/io/mwl/THIRDPARTYLICENSE
 
       If this file proves unmanageable, or you're adding licenses
       that really are independent of each other, you may instead
--- old/usr/src/man/man7d/Makefile	2012-07-19 00:32:18.879124012 +0200
+++ new/usr/src/man/man7d/Makefile	2012-07-19 00:32:18.545650971 +0200
@@ -89,11 +89,9 @@
 	 	 	nxge.7d		\
 	 	 	ohci.7d		\
 	 	 	openprom.7d	\
-	 	 	pcan.7d		\
 	 	 	pcata.7d	\
 	 	 	pcic.7d		\
 	 	 	pcmcia.7d	\
-	 	 	pcwl.7d		\
 	 	 	physmem.7d	\
 	 	 	pm.7d		\
 	 	 	poll.7d		\
--- old/usr/src/pkg/manifests/SUNWpcan.mf	2012-07-19 00:32:20.133068940 +0200
+++ new/usr/src/pkg/manifests/SUNWpcan.mf	2012-07-19 00:32:19.799635754 +0200
@@ -23,7 +23,8 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-set name=pkg.fmri value=pkg:/SUNWpcan@0.5.11,5.11-0.133
-set name=pkg.renamed value=true
+# Was renamed to driver/network/pcan, both now obsolete.
+
+set name=pkg.fmri value=pkg:/SUNWpcan@$(PKGVERS)
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-depend fmri=pkg:/driver/network/pcan@0.5.11,5.11-0.133 type=require
--- old/usr/src/pkg/manifests/SUNWpcwl.mf	2012-07-19 00:32:20.629808123 +0200
+++ new/usr/src/pkg/manifests/SUNWpcwl.mf	2012-07-19 00:32:20.245187839 +0200
@@ -23,7 +23,8 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-set name=pkg.fmri value=pkg:/SUNWpcwl@0.5.11,5.11-0.133
-set name=pkg.renamed value=true
+# Was renamed to driver/network/pcwl, both now obsolete.
+
+set name=pkg.fmri value=pkg:/SUNWpcwl@$(PKGVERS)
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-depend fmri=pkg:/driver/network/pcwl@0.5.11,5.11-0.133 type=require
--- old/usr/src/pkg/manifests/driver-network-pcan.mf	2012-07-19 00:32:21.069850666 +0200
+++ new/usr/src/pkg/manifests/driver-network-pcan.mf	2012-07-19 00:32:20.742474461 +0200
@@ -30,25 +30,5 @@
 #
 <include global_zone_only_component>
 set name=pkg.fmri value=pkg:/driver/network/pcan@$(PKGVERS)
-set name=pkg.description value="Cisco-Aironet 802.11b driver"
-set name=pkg.summary value="Cisco-Aironet 802.11b driver"
-set name=info.classification \
-    value=org.opensolaris.category.2008:Drivers/Networking
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=kernel group=sys
-dir path=kernel/drv group=sys
-dir path=kernel/drv/$(ARCH64) group=sys
-dir path=usr/share/man
-dir path=usr/share/man/man7d
-driver name=pcan clone_perms="pcan 0666 root sys" perms="* 0666 root sys" \
-    alias=pccard15f,7 \
-    alias=pccard15f,a \
-    alias=pci14b9,5000 \
-    alias=pci14b9,a504
-file path=kernel/drv/$(ARCH64)/pcan group=sys
-$(i386_ONLY)file path=kernel/drv/pcan group=sys
-file path=usr/share/man/man7d/pcan.7d
-legacy pkg=SUNWpcan desc="Cisco-Aironet 802.11b driver" \
-    name="Cisco-Aironet 802.11b driver"
-license usr/src/uts/common/io/pcan/THIRDPARTYLICENSE \
-    license=usr/src/uts/common/io/pcan/THIRDPARTYLICENSE
--- old/usr/src/pkg/manifests/driver-network-pcwl.mf	2012-07-19 00:32:21.512962949 +0200
+++ new/usr/src/pkg/manifests/driver-network-pcwl.mf	2012-07-19 00:32:21.182515696 +0200
@@ -30,27 +30,5 @@
 #
 <include global_zone_only_component>
 set name=pkg.fmri value=pkg:/driver/network/pcwl@$(PKGVERS)
-set name=pkg.description value="Lucent/PRISM-II 802.11b driver"
-set name=pkg.summary value="Lucent/PRISM-II 802.11b driver"
-set name=info.classification \
-    value=org.opensolaris.category.2008:Drivers/Networking
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=kernel group=sys
-dir path=kernel/drv group=sys
-dir path=kernel/drv/$(ARCH64) group=sys
-dir path=usr/share/man
-dir path=usr/share/man/man7d
-driver name=pcwl clone_perms="pcwl 0666 root sys" perms="* 0666 root sys" \
-    alias=pccard138,2 \
-    alias=pccard156,2 \
-    alias=pccardb,7300 \
-    alias=pci1260,3872 \
-    alias=pci1260,3873 \
-    alias=pci1385,4105
-file path=kernel/drv/$(ARCH64)/pcwl group=sys
-$(i386_ONLY)file path=kernel/drv/pcwl group=sys
-file path=usr/share/man/man7d/pcwl.7d
-legacy pkg=SUNWpcwl desc="Lucent/PRISM-II 802.11b driver" \
-    name="Lucent/PRISM-II 802.11b driver"
-license usr/src/uts/common/io/pcwl/THIRDPARTYLICENSE \
-    license=usr/src/uts/common/io/pcwl/THIRDPARTYLICENSE
--- old/usr/src/uts/common/Makefile.files	2012-07-19 00:32:22.033639983 +0200
+++ new/usr/src/uts/common/Makefile.files	2012-07-19 00:32:21.693548459 +0200
@@ -1704,14 +1704,10 @@
 
 PCS_OBJS += pcs.o
 
-PCAN_OBJS += pcan.o
-
 PCATA_OBJS += pcide.o pcdisk.o pclabel.o pcata.o
 
 PCSER_OBJS += pcser.o pcser_cis.o
 
-PCWL_OBJS += pcwl.o
-
 PSET_OBJS +=	pset.o
 
 OHCI_OBJS += ohci.o ohci_hub.o ohci_polled.o
--- old/usr/src/uts/common/Makefile.rules	2012-07-19 00:32:22.525269505 +0200
+++ new/usr/src/uts/common/Makefile.rules	2012-07-19 00:32:22.185311433 +0200
@@ -971,18 +971,10 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/pcan/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/pcn/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/pcwl/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/ppp/sppp/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -2246,15 +2238,9 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/pcmcia/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/pcan/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/pcn/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/pcwl/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/ppp/sppp/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
--- old/usr/src/uts/intel/Makefile.intel.shared	2012-07-19 00:32:26.247577815 +0200
+++ new/usr/src/uts/intel/Makefile.intel.shared	2012-07-19 00:32:25.909372400 +0200
@@ -289,8 +289,6 @@
 DRV_KMODS	+= pcic
 DRV_KMODS	+= pcieb
 DRV_KMODS	+= physmem
-DRV_KMODS	+= pcan
-DRV_KMODS	+= pcwl
 DRV_KMODS	+= pit_beep
 DRV_KMODS	+= pm
 DRV_KMODS	+= poll
--- old/usr/src/uts/sparc/Makefile.sparc.shared	2012-07-19 00:32:27.552233038 +0200
+++ new/usr/src/uts/sparc/Makefile.sparc.shared	2012-07-19 00:32:27.214523180 +0200
@@ -254,8 +254,6 @@
 DRV_KMODS	+= efe
 DRV_KMODS	+= hxge
 DRV_KMODS	+= mxfe
-DRV_KMODS	+= pcan
-DRV_KMODS	+= pcwl
 DRV_KMODS	+= rge
 DRV_KMODS	+= rtls
 DRV_KMODS	+= sfe
